/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that displays the decimal point 
character used by the current locale. */
#include <stdio.h>
#include <locale.h>

int main() {
    struct lconv *lc;

    setlocale(LC_ALL,"C");
    lc = localeconv();
    printf("Decimal symbol is: %s\n", lc->decimal_point);
    printf("Thousands separator is: %s\n", lc->thousands_sep);
    printf("Currency symbol is: %s\n", lc->currency_symbol);
    setlocale(LC_ALL,"");
    printf("Decimal symbol is: %s\n", lc->decimal_point);
    printf("Thousands separator is: %s\n", lc->thousands_sep);
    printf("Currency symbol is: %s\n", lc->currency_symbol);
}
